# CMAP_DELETE

NAME
SYNOPSIS
DESCRIPTION
RETURN VALUE
SEE ALSO

## NAME

cmap_delete − Delete key/value pair from the CMAP service

## SYNOPSIS

#include <corosync/cmap.h>

cs_error_t cmap_delete(cmap_handle_t handle, const char *key_name);

## DESCRIPTION

The cmap_delete function is used to delete key from cmap. Key must be previously created by cmap_set(3) function. The handle argument is connection to CMAP database obtained by calling cmap_initialize(3) function. key_name is name of key to delete.

## RETURN VALUE

This call returns the CS_OK value if successful. If key_name is unspecified, CS_ERR_INVALID_PARAM is returned. For nonexisting keys, CS_ERR_NOT_EXIST error is returned. Some of keys may be tagged read-only directly in corosync and deleting such key will result in CS_ERR_ACCESS error.

## SEE ALSO

cmap_initialize(3), cmap_set(3), cmap_overview(8)

CS_ERR_TRY_AGAIN Resource temporarily unavailable

CS_ERR_INVALID_PARAM Invalid argument

CS_ERR_ACCESS Permission denied

CS_ERR_LIBRARY The connection failed

CS_ERR_INTERRUPT System call interrupted by a signal

CS_ERR_NOT_SUPPORTED The requested protocol/functionality not supported

CS_ERR_MESSAGE_ERROR Incorrect auth message received

CS_ERR_NO_MEMORY Not enough memory to complete the requested task